<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('country_message_rating_reports', function (Blueprint $table) {
            $table->id();
            $table->foreignId('province_id')->constrained('provinces');
            $table->string('province_name');
            $table->date('date');
            $table->integer('total');
            $table->integer('listens');
            $table->integer('not_listens');
            $table->float('review_average');
            $table->integer('action1');
            $table->integer('action2');
            $table->integer('action3');
            $table->integer('action4');
            $table->integer('action5');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('country_message_rating_reports');
    }
};
